commit: 162b4a46e92c250221ff2b11b72a4056dd352a08
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 2 17:48:50 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Feb 2 17:48:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=162b4a46
app-crypt/letsencrypt: Version bump
Package-Manager: portage-2.2.27
app-crypt/letsencrypt/Manifest | 1 +
app-crypt/letsencrypt/letsencrypt-0.3.0.ebuild | 46 ++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/app-crypt/letsencrypt/Manifest b/app-crypt/letsencrypt/Manifest
index d48ba77..66cfd27 100644
--- a/app-crypt/letsencrypt/Manifest
+++ b/app-crypt/letsencrypt/Manifest
@@ -1 +1,2 @@
DIST letsencrypt-0.2.0.tar.gz 564016 SHA256
71324323eb6c9fe9a2cee95f012a44e9c7bdc8c9dfe14c26d56129306f188650 SHA512
a00618c0f3ae78cfdb70adfea81ff9d672123fa38585cfda8ed44659be14bd37143f2c5bc076b92d116356437ea08af079142a4ae09a8a6ad06f2793276b973e
WHIRLPOOL
cd413fd1ca4d2e462bcc573c8b0403010cfc27dca577c56c1465e5d794e7769a0621bac361078762eec12f2296d968421572cb8794cb1a49824b37292dbab572
+DIST letsencrypt-0.3.0.tar.gz 627761 SHA256
a21e496ab130cf9fcaeef69019a4eef7aaf86dad84131d601db531add4f98e1a SHA512
c3fbb6d8a50ee9a84b425d16f28626cecb3b50a5149c1263d02d447854d9117c6fe4f3f2eef7f026c9d7692a499a054895a2b007da9f768c203ea91836382f36
WHIRLPOOL
fa87cb033c4a45737abeb706312ac9c4fa2ab921c07cc05f1feaeb4f083727f4ba1a819035345e5dfead536d762025ef8a4eeaa6d039b64efa3350f2a64e64a5
diff --git a/app-crypt/letsencrypt/letsencrypt-0.3.0.ebuild
b/app-crypt/letsencrypt/letsencrypt-0.3.0.ebuild
new file mode 100644
index 0000000..0ef00d4
--- /dev/null
+++ b/app-crypt/letsencrypt/letsencrypt-0.3.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=(python2_7)
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/letsencrypt/letsencrypt.git"
+ inherit git-r3
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/letsencrypt/letsencrypt https://letsencrypt.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND=">=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/configargparse-0.10.0[${PYTHON_USEDEP}]
+ dev-python/configobj[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-0.7[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parsedatetime[${PYTHON_USEDEP}]
+ >=dev-python/psutil-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.15[${PYTHON_USEDEP}]
+ dev-python/pyrfc3339[${PYTHON_USEDEP}]
+ >=dev-python/pythondialog-3.2.2:python-2[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}] )
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ nosetests -w ${PN}/tests || die
+}